%global packname crayon
%global packver 1.3.4

Name:             R-%{packname}
Version:          %{packver}
Release:          1
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}.tar.gz
License:          MIT
URL:              http://cran.r-project.org/web/packages/crayon/index.html
Summary:          Colored Terminal Output
BuildRequires:    R-devel >= 3.0.0, tetex-latex, R-grDevices, R-methods, R-utils
BuildArch:        noarch

%description 
Colored terminal output on terminals that support 'ANSI' color and highlight 
codes. It also works in 'Emacs' 'ESS'. 'ANSI' color support is automatically 
detected. Colors and highlighting can be combined and nested. New styles can 
also be created easily. This package was inspired by the 'chalk' 
'JavaScript' project.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# You need R-testthat, but R-crayon is a dependency of that package, causing loop.
# So no tests for now.
%if 0
%{_bindir}/R CMD check %%{packname}
%endif

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/LICENSE
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/NEWS.md
%doc %{_datadir}/R/library/%{packname}/README.markdown
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/ANSI-256-OSX.png
%{_datadir}/R/library/%{packname}/ANSI-8-OSX.png
%{_datadir}/R/library/%{packname}/logo.png
%{_datadir}/R/library/%{packname}/logo.svg.gz


%changelog
* Tue Jun 14 2022 misaka00251 <misaka00251@misakanet.cn> - 1.3.4-1
- Init package (Thanks to fedora team)
